import { BasePluginType } from '@modules/editor/plugin/plugin.type';
import Editor from '@modules';
import * as THREE from 'three';
declare class PickPoint implements BasePluginType {
    #private;
    SPHERE_NAME: string;
    get generatedPoints(): THREE.Mesh<THREE.BufferGeometry<THREE.NormalBufferAttributes>, THREE.Material | THREE.Material[]>[];
    constructor(editor: Editor);
    init(): Promise<void> | void;
    remove(): Promise<void> | void;
    turnOnOff(type: 'on' | 'off'): void;
    pointGenerate(name: string): void;
    removeGeneratedPoint(id: number): void;
    loadGeneratedPoints(pointsData: {
        uuid: string;
        position: {
            x: number;
            y: number;
            z: number;
        };
        label: string;
    }[]): void;
}
export default PickPoint;
